API ReferenceapicommsGET /v1/messages/recent

GET /v1/messages/recent

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • limit (string) —

Responses

200 Recent messages

{
  "type": "object",
  "properties": {
    "messages": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "message_id": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "recipient": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "sent_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "message_id",
          "channel",
          "recipient",
          "status",
          "sent_at"
        ]
      }
    }
  },
  "required": [
    "messages"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/messages/recent \
  -H "Authorization: Bearer $ACCESS_TOKEN"